.gallery {
  display: flex;
  height: 40vw;

  align-items: center;
  width: 90%;
  justify-content: center;
  border-radius: 2vw;
}

.container {
  width: 90%;
  height: 100%;
  position: relative;

  border-radius: 2vh;
  border: 2px solid #00ed64;
  overflow: hidden;
}

.container .slide .item {
  width: 200px;
  height: 100px;
  position: absolute;
  top: 50%;
  transform: translate(0, -50%);
  border-radius: 20px;
  box-shadow: 0 30px 50px #505050;
  background-position: 50% 50%;
  background-size: cover;
  display: inline-block;
  background-blend-mode: hue(90deg);
  transition: 0.5s;
}

.slide .item:nth-child(1),
.slide .item:nth-child(2) {
  top: 0;
  left: 0;
  transform: translate(0, 0);
  border-radius: 0;
  width: 100%;
  height: 100%;
}

.slide .item:nth-child(3) {
  left: 50%;
}
.slide .item:nth-child(4) {
  left: calc(50% + 220px);
}
.slide .item:nth-child(5) {
  left: calc(50% + 440px);
}

/* here n = 0, 1, 2, 3,... */
.slide .item:nth-child(n + 6) {
  left: calc(50% + 660px);
  opacity: 0;
}

.item .content {
  position: absolute;
  top: 30%;
  left: 15px;
  width: 300px;
  text-align: left;
  color: #eee;
  transform: translate(0, -50%);
  font-family: system-ui;
  display: none;
}

.slide .item:nth-child(2) .content {
  display: block;
}

.content .name {
  font-size: 40px;

  text-transform: uppercase;
  font-weight: bold;
  opacity: 0;
  animation: animate 1s ease-in-out 1 forwards;
  text-align: left;
}

.content .des {
  margin-top: 10px;
  margin-bottom: 20px;
  opacity: 0;
  animation: animate 1s ease-in-out 0.3s 1 forwards;
}

.content button {
  padding: 10px 20px;
  border: none;
  color: wheat;
  cursor: pointer;
  background: #00ed64;
  border-radius: 1vh;
  opacity: 0;
  animation: animate 1s ease-in-out 0.6s 1 forwards;
}

@keyframes animate {
  from {
    opacity: 0;
    transform: translate(0, 100px);
    filter: blur(33px);
  }

  to {
    opacity: 1;
    transform: translate(0);
    filter: blur(0);
  }
}

.button {
  width: 100%;
  text-align: center;
  position: absolute;
  left: 10vh;
  bottom: 10px;
}

.button button {
  width: 60px;

  height: 50px;
  border-radius: 8px;
  border: none;
  cursor: pointer;
  margin: 0 5px;
  border-radius: 50px;
  transition: 0.3s;
  background: transparent;
  border: 3px solid #037682;
  color: #037682;
}

.button button:hover {
  background: #00ed64;
  color: wheat;
}

/* mobile responsive */
@media (min-width: 100px) and (max-width: 700px) {
  .gallery {
    overflow: hidden;
    display: flex;
    height: auto;

    align-items: center;
    width: 100%;
    justify-content: center;
    border-radius: 0;
    padding-bottom: 5vh;
  }

  .container {
    align-self: center;
    align-content: center;
    width: 90%;

    height: 50vh;
    position: relative;

    border-radius: 2vh;

    overflow: hidden;
  }

  .container .slide .item {
    width: 200px;
    height: 100px;
    position: absolute;
    top: 50%;
    transform: translate(0, -50%);
    border-radius: 20px;
    /* box-shadow: 0 30px 50px #505050; */
    background-position: 50% 50%;
    background-size: cover;
    display: inline-block;
    background-blend-mode: hue(90deg);
    transition: 0.5s;
  }

  .slide .item:nth-child(1),
  .slide .item:nth-child(2) {
    top: 0;
    left: 0;
    transform: translate(0, 0);
    border-radius: 0;
    width: 100%;
    height: 100%;
  }

  .slide .item:nth-child(3) {
    left: 50%;
  }
  .slide .item:nth-child(4) {
    left: calc(50% + 220px);
  }
  .slide .item:nth-child(5) {
    left: calc(50% + 440px);
  }

  /* here n = 0, 1, 2, 3,... */
  .slide .item:nth-child(n + 6) {
    left: calc(50% + 660px);
    opacity: 0;
  }

  .item .content {
    position: absolute;
    top: 30%;
    left: 15px;
    width: 300px;
    text-align: left;
    color: #eee;
    transform: translate(0, -50%);
    font-family: system-ui;
    display: none;
  }

  .slide .item:nth-child(2) .content {
    display: block;
  }

  .content .name {
    font-size: 40px;

    text-transform: uppercase;
    font-weight: bold;
    opacity: 0;
    animation: animate 1s ease-in-out 1 forwards;
    text-align: left;
  }

  .content .des {
    margin-top: 10px;
    margin-bottom: 20px;
    opacity: 0;
    animation: animate 1s ease-in-out 0.3s 1 forwards;
  }

  .content button {
    padding: 10px 20px;
    border: none;
    color: black;
    cursor: pointer;
    background: #00ed64;
    border-radius: 1vh;
    opacity: 0;
    animation: animate 1s ease-in-out 0.6s 1 forwards;
  }

  @keyframes animate {
    from {
      opacity: 0;
      transform: translate(0, 100px);
      filter: blur(33px);
    }

    to {
      opacity: 1;
      transform: translate(0);
      filter: blur(0);
    }
  }

  .button {
    width: 100%;
    text-align: center;
    position: absolute;
    left: 10vh;
    bottom: 10px;
  }

  .button button {
    width: 50px;

    height: 50px;
    border-radius: 20px;
    border: none;
    cursor: pointer;
    margin: 0 5px;
    border-radius: 50px;
    transition: 0.3s;
    background: transparent;
    border: 3px solid #00ed64;
    color: #00ed64;
  }

  .button button:hover {
    background: #00ed64;
    color: black;
  }
}
